package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识表
 * @TableName ks_knowledge
 */
@TableName(value ="ks_knowledge")
@Data
public class Knowledge implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识标题
     */
    private String title;

    /**
     * 知识内容ID
     */
    private String contentId;

    /**
     * 应用子库ID
     */
    private String baseId;

    /**
     * 发文部门(部门名称全文)
     */
    private String publishDept;

    /**
     * 知识来源 1人工添加
     */
    private Integer knowledgeFrom;

    /**
     * 流转状态 1草稿 2待审批 3驳回 4通过 5删除  6已失效
     */
    private Integer status;

    /**
     * 报送部门ID
     */
    private String submittedDeptId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}