package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识报送审批记录表
 * @TableName ks_knowledge_flow_record
 */
@TableName(value ="ks_knowledge_flow_record")
@Data
public class KnowledgeFlowRecord implements Serializable {
    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 知识ID(对应submitted_id)
     */
    private String knowledgeId;

    /**
     * 流程ID
     */
    private String flowId;

    /**
     * 操作名称
     */
    private String processName;

    /**
     * 审批人ID
     */
    private String processUserId;

    /**
     * 审批时间
     */
    private Date processTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}